Tool: fetch_ddl_suggestion
Fetches DDL suggestion for a given suggestion ID.
The following sample demonstrate how to use curl to invoke the fetch_ddl_suggestion MCP tool.
| Curl Request |
|---|
curl --location 'https://bigquerymigration.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "fetch_ddl_suggestion", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for FetchDdlSuggestion.
FetchDdlSuggestionRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the DDL suggestion to retrieve. Format: |
Output Schema
Response message for FetchDdlSuggestion.
FetchDdlSuggestionResponse
| JSON representation |
|---|
{ "suggestion": { object ( |
| Fields | |
|---|---|
suggestion |
The DDL suggestion. Note: Prepending the DDL suggestion to the original input query and retranslating can improve translation quality, especially in cases where metadata is missing and produces |
logs[] |
A list of logs generated during the DDL suggestion process. |
errorInfo |
The error information. |
Suggestion
| JSON representation |
|---|
{ "name": string, "suggestion": string, "state": string } |
| Fields | |
|---|---|
name |
The name of the suggestion. Format: |
suggestion |
The suggestion. |
state |
The current state of the suggestion, for example, |
Log
| JSON representation |
|---|
{ "severity": string, "category": string, "message": string, "action": string, "effect": string, "impactedObject": string } |
| Fields | |
|---|---|
severity |
Severity of the translation record, for example, |
category |
Category of the error or warning, for example, |
message |
Detailed message of the record. |
action |
Recommended action to address the log. |
effect |
The effect or impact of the issue noted in the log. Effect can be one of the following values: |
impactedObject |
Name of the object that is impacted by the log message. |
ErrorInfo
| JSON representation |
|---|
{ "reason": string, "domain": string, "metadata": { string: string, ... } } |
| Fields | |
|---|---|
reason |
The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of |
domain |
The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
metadata |
Additional structured details about this error. Keys must match a regular expression of An object containing a list of |
MetadataEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌